import numpy as np
import h5py
import matplotlib.pyplot as plt

filename='./GPMCOR_DPR_2112070007_0140_044170_L2S_DD2_07A.h5'
mode='FS'

with h5py.File(filename,"r") as infile: 
    #convert data to numpy ndarray
    Lat=np.array(infile[mode+'/Latitude'])
    Lon=np.array(infile[mode+'/Longitude'])
    Lon=np.where(Lon >=180.,Lon-360.,Lon)
    precipRateESurf=np.array(infile[mode+'/SLV/precipRateESurface'])
    precipWater=np.array(infile[mode+'/SLV/precipWater'])
    precipRateAve24=np.array(infile[mode+'/SLV/precipRateAve24'])
    #precipWater=np.reshape(data,(7935,176,49))
    # see file specification guide about the directories and parameters
    nscan=Lon.shape[0]  # total number of scan
    nray=Lon.shape[1]   # number of FOV(number of angle)
    Nbin=precipWater.shape[2]   # number of range bin
    ybin=np.arange(Nbin)

# python2
# print 'Estimated Surfase Rain at %f,%f: %f'% (Lon[5450][25],Lat[5450][25],precipRateESurf[5450][25]) # precepRateESurface at Scan=5450,FOV=25
# print 'Number of Rainy cells/all: %d/%d'% (len(np.where(precipRateESurf>0)[0]), precipRateESurf.size) 

# python3
print('Estimated Rain at {0},{1}: {2}'.format(Lon[5450][25],Lat[5450][25],precipRateESurf[5450][25]))
print('Estimated Rain at rangebin #150 at {0},{1}: {2}'.format(Lon[5450][25],Lat[5450][25],precipWater[5450][25][150]))


plt.plot(precipWater[5450, 25, :], ybin[:], '.-')
plt.ylim(0,175)
plt.xlim(0,0.2)
plt.xlabel('precipWater [g/m3]')
plt.ylabel('rangebins')
plt.show()
plt.close()
