import numpy as np
import h5py
import matplotlib.pyplot as plt
from mpl_toolkits.basemap import Basemap

# set name of file and grid
filename='../sample_data/GPMCOR_DPR_1806_M_D3M_07X.EORC.h5'
folder='/FS'
grid='/G1'

if grid=='/G1':
    spres=5.0
    xnum=72
    ynum=28
if grid=='/G2':
    spres=0.25
    xnum=1440
    ynum=536

with h5py.File(filename,"r") as infile: 
    snowRateNSurf=np.array(infile[folder+grid+'/snowRateNearSurface/mean']).T 
    # see file specification guide about the directories and parameters
    # note the sort of array element is inverted to as in file specification
    # in this program
    # that is the reason of transpose matrix method ".T"

    # Set Lat&Lon grid
    Lo=np.array([-180.0+spres/2+i*spres for i in range(0,xnum)])
    La=np.array([-70.0+spres/2+i*spres for i in range(0,ynum)])
    Lon,Lat=np.meshgrid(Lo,La)
 
    #plot with Matplotlib
    im=plt.pcolormesh(Lon,Lat,snowRateNSurf[:,:,2,0,0], vmin=0, vmax=3.0)
    # [lat, lon, ch=2:DPRFS, surfacetype=0:all, raintype=0:all]
 
    #set map
    m=Basemap(projection='cyl',resolution='c',llcrnrlat=-70, urcrnrlat=70, llcrnrlon=-180, urcrnrlon=180)
    m.drawcoastlines(color='white')
    x,y=m(Lon, Lat) #compute map projection
    
    # set colorbar
    cb=m.colorbar(im, "right", size="2.5%")
 
    plt.show()
    plt.close()

